Subject: Re: IP stack question

From: Ben Greear <[email-masked]>
Date: Mon, 24 Jun 2002 10:48:15 -0700

jamal wrote:
> I tried to explain to you in private mail:
> Both 10.1.1.4 and 10.1.1.5 are recognized to be local addresses
> by the IP stack. It is legit that the stack limits the scope
> to just that i.e _local_
>  The only way to do what you want to do is bypass the IP stack.
> Use packet socket to write your  test app.
> (which actually probably defetas the whole purpose of what you may
> be trying to do -- HA).

It would not defeat the purpose of detecting at least one bad network
link of the two.

I wonder if a ping -I eth1 255.255.255.255 would accomplish the
goal as well?

I would actually like to be able to force a machine to not do local
routing as well, and force packets out over an interface even if
the destination is a local IP,  using source-based-routing,
or something similar.  There is no way to do this currently?

Ben

-- 
Ben Greear <[email-masked]>       <Ben_Greear AT excite.com>
President of Candela Technologies Inc      http://www.candelatech.com
ScryMUD:  http://scry.wanfear.com     http://scry.wanfear.com/~greear